from rest_framework import serializers
from member.models import TFJMUser, Authorization, MotivationLetter, Solution, Synthesis
from tournament.models import Team, Tournament, Pool


class UserSerializer(serializers.ModelSerializer):
    """
    Serialize a User object into JSON.
    """
    class Meta:
        model = TFJMUser
        exclude = (
            'username',
            'password',
            'groups',
            'user_permissions',
        )


class TeamSerializer(serializers.ModelSerializer):
    """
    Serialize a Team object into JSON.
    """
    class Meta:
        model = Team
        fields = "__all__"


class TournamentSerializer(serializers.ModelSerializer):
    """
    Serialize a Tournament object into JSON.
    """
    class Meta:
        model = Tournament
        fields = "__all__"


class AuthorizationSerializer(serializers.ModelSerializer):
    """
    Serialize an Authorization object into JSON.
    """
    class Meta:
        model = Authorization
        fields = "__all__"


class MotivationLetterSerializer(serializers.ModelSerializer):
    """
    Serialize a MotivationLetter object into JSON.
    """
    class Meta:
        model = MotivationLetter
        fields = "__all__"


class SolutionSerializer(serializers.ModelSerializer):
    """
    Serialize a Solution object into JSON.
    """
    class Meta:
        model = Solution
        fields = "__all__"


class SynthesisSerializer(serializers.ModelSerializer):
    """
    Serialize a Synthesis object into JSON.
    """
    class Meta:
        model = Synthesis
        fields = "__all__"


class PoolSerializer(serializers.ModelSerializer):
    """
    Serialize a Pool object into JSON.
    """
    class Meta:
        model = Pool
        fields = "__all__"
